Skip to content

Create A New User

Request

Creates a new user in vWork.

Security
apiKey
Query
api_keystringrequired
Headers
Accept-Encodingstringrequired

Must be gzip. The vWork API requires HTTP compression on all requests; requests without it may be rejected with 406 Not Acceptable (see Tech Notes → HTTP Compression).

Value:"gzip"
Example:gzip
Bodyapplication/xml; charset=utf-8
string

Raw XML payload — see the example.

POST
/v5/users.xml
curl -i -X POST \
  'https://api.vworkapp.com/v5/users.xml?api_key=string&api_key=YOUR_API_KEY_HERE' \
  -H 'Accept-Encoding: gzip' \
  -H 'Content-Type: application/xml; charset=utf-8' \
  -d '<?xml version="1.0" encoding="utf-8"?>
  <user>
  <name>George Smith</name>
  <group_ids></group_ids>
  <third_party_id></third_party_id>
  <email>george@example.com</email>
  <phone>1 555 111 1111</phone>
  <notes>Mack 3DC 12L V-TEC</notes>
  <password>fvw234r32qvrqe</password>
      <permissions>
          <admin>none</admin>
          <schedule>none</schedule>
          <map>none</map>
          <reports>none</reports>
          <jobs>none</jobs>
          <customers>none</customers>
          <quotes>none</quotes>
          <equipment>none</equipment>
          <messaging>none</messaging>
          <mobile>full</mobile>
          <mobile_jobs_create>full</mobile_jobs_create>
          <mobile_jobs_assign>full</mobile_jobs_assign>
          <mobile_invoice>full</mobile_invoice>
      </permissions>
  </user>'

Responses

Created

Headers
Cache-Controlstring
Example:"max-age=0, private, must-revalidate"
Content-Security-Policystring
Example:"frame-ancestors *.vworkapp.com *.vwork.io *.visfleet.com *.salesforce.com *.zoho.com, default-src: google.com google-analytics.com googleapis.com gst
Datestring
Example:"Mon, 13 Jun 2016 23:39:38 GMT"
ETagstring
Example:"W/\"2dbcb6a04f44419e584b939d643b66f1\""
Statusstring
Example:"201 Created"
Strict-Transport-Securitystring
Example:"max-age=31536000"
Transfer-Encodingstring
Example:"chunked"
X-Content-Type-Optionsstring
Example:"nosniff"
X-Frame-Optionsstring
Example:"SAMEORIGIN"
X-Request-Idstring
Example:"c984cbfd-2df1-4010-bad2-d5ef1e4d5412"
X-Runtimestring
Example:"0.586222"
X-Unique-IDstring
Example:"CA7C7B8A:CD56_0A000ED8:01BB_575F4426_6E78F2:1EB6"
X-XSS-Protectionstring
Example:"1; mode=block"
Bodyapplication/xml; charset=utf-8
string

Raw XML payload — see the example.

Response
<?xml version="1.0" encoding="utf-8"?>
<user>
    <id readonly="readonly">66270</id>
    <group_ids></group_ids>
    <name>George Smith</name>
    <email>george@example.com</email>
    <phone>1 555 111 1111</phone>
    <notes>Mack 3DC 12L V-TEC</notes>
    <shift_on>true</shift_on>
    <third_party_id></third_party_id>
    <created_at readonly="readonly">2021-03-09T01:37:54+00:00</created_at>
    <updated_at readonly="readonly">2021-03-09T01:37:54+00:00</updated_at>
    <latest_telemetry></latest_telemetry>
    <permissions>
        <admin>none</admin>
        <schedule>none</schedule>
        <map>none</map>
        <reports>none</reports>
        <jobs>none</jobs>
        <customers>none</customers>
        <quotes>none</quotes>
        <equipment>none</equipment>
        <messaging>none</messaging>
        <mobile>full</mobile>
        <mobile_jobs_create>full</mobile_jobs_create>
        <mobile_jobs_assign>full</mobile_jobs_assign>
        <mobile_invoice>full</mobile_invoice>
   …